FSINFO(8)

NAME
fsinfo - co-ordinate site-wide file system information

SYNOPSIS
fsinfo [-qv] [-a autodir] [-b bootparams_prefix] [-d dumpsets_prefix] [-e exports_prefix] [-f fstabs_prefix] [-h hostname] [-m automounts_prefix] [-I dir] [ -D name[=string]] [-U name] config ...

DESCRIPTION
The fsinfo utility takes a set of system configuration information, and generates a coordinated set of amd(8), mount(8) and mountd(8) configuration files.

The following options are available:

-a autodir
    Specifies the directory name in which to place the automounter's mount points. This defaults to /a.

-b bootparams_prefix
    Specifies the prefix for the bootparams file. If it is not given, then the file will not be generated. The file will be constructed for the destination machine and will be placed into a file named bootparams and prefixed by the bootparams_prefix string. The file generated contains a list of entries describing each diskless client that can boot from the destination machine.

-d dumpsets_prefix
    Specifies the prefix for the dumpsets file. If it is not specified, then the file will not be generated. The file will be for the destination machine and will be placed into a file named dumpsets prefixed by the dumpsets_prefix string. This file is for use by Imperial College's local backup system.

-e exports_prefix
    Defines the prefix for the exports files. If it is not given, then the file will not be generated. For each machine defined in the configuration files as having disks, and exports file is constructed and given a file name determined by the name of the machine, prefixed with the exports_prefix string. If a machine is defined as diskless, then no file will be created for it. The files contain entries for directories on the machine that may be exported to clients.

-f fstabs_prefix
    This defines the prefix for the fstab files. The files will only be created if this prefix is defined. For each machine defined in the configuration files, a fstab file is created with the file name determined by prefixing this fstabs_prefix string with the name of the machine. These files contain entries for file systems and partitions to mount at boot time.

-h hostname
    Defines the hostname of the destination machine to process for. If this is not specified, it defaults to the local machine name, as returned by gethostname(3).

-m automounts_prefix
    Defines the prefix for the automounter files. The maps will only be produced if this option is specified. The mount maps suitable for the network defined by the configuration files will be placed into files with names calculated by prefixing the automounts_prefix string to the name of each map.

-q  Selects quite mode. Only error messages that are generated will be displayed.

-v  Selects verbose mode. When this is activated, more messages will be displayed, and all information discovered when performing the semantic analysis phase will be displayed. Each verbose message is output to the standard output on a line starting with a `#' character.

-D  name[=string] Defines a symbol name for the preprocessor when reading the configuration files. Equivalent to the #define directive.

-I dir
    This option is passed into the preprocessor for the configuration files. It specifies directories in which to find include files.

-U name
    Removes and initial definition of the symbol name. Inverse of the -D option.

config
    One or more configuration files to be passed as input to fsinfo.

The fsinfo command is fully described in the document

SEE ALSO
amd(8), mount(8), mountd(8)

“am-utils” info(1) entry. Erez Zadok, Linux NFS and Automounter Administration, ISBN 0-7821-2739-8, Sybex, 2001.

http://www.am-utils.org/ Amd - The 4.4 BSD Automounter.

HISTORY
The fsinfo command first appeared in 4.4BSD.

AUTHORS
Jan-Simon Pendry <jsp@doc.ic.ac.uk>, Department of Computing, Imperial College, London, UK.

Erez Zadok <ezk@cs.sunysb.edu>, Computer Science Department, Stony Brook University, Stony Brook, New York, USA.

Other authors and contributors to am-utils are listed in the AUTHORS file distributed with am-utils.